
import 'package:flutter/material.dart';
import 'package:mc_common_app/widgets/button/show_fill_button.dart';

class ShowCardButton extends StatelessWidget {
  String title;
  VoidCallback onPressed;
  Color txtColor;

  ShowCardButton({
    required this.title,
    required this.onPressed,
    this.txtColor = Colors.white,
  });

  @override
  Widget build(BuildContext context) {
    return Card(
      margin: EdgeInsets.zero,
      elevation: 20,
      child: Container(
        width: double.infinity,
        padding: EdgeInsets.all(12),
        child: ShowFillButton(
          title: title,
          onPressed: onPressed,
          txtColor: txtColor,
        ),
      ),
    );
  }
}
